- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libetonyek::IWORKStylesheet Struct Reference

Representation of a stylesheet. More...

`#include <IWORKStylesheet.h>`

## Public Member Functions
| IWORKStylesheet ()

## Public Attributes
IWORKStylesheetPtr_t | parent
IWORKStyleMap_t | m_styles

## Detailed Description

Representation of a stylesheet.

Stylesheets are nested; the hierarchy is:

- theme stylesheet
- master slide stylesheet
- slide stylesheet

Note
  The retrieval key for a style is its `ident` attribute, not its ID.

## Constructor & Destructor Documentation

libetonyek::IWORKStylesheet::IWORKStylesheet | ( |  | ) |

## Member Data Documentation

IWORKStyleMap_t libetonyek::IWORKStylesheet::m_styles

IWORKStylesheetPtr_t libetonyek::IWORKStylesheet::parent

The documentation for this struct was generated from the following files:

- IWORKStylesheet.h
- IWORKStylesheet.cpp